Name:           sselp
Version:        0.2
Release:        10%{?dist}
Summary:        Prints X selection to standard out

Group:          User Interface/X
License:        MIT
URL:            http://tools.suckless.org/%{name}
Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libX11-devel

%description
Prints X selection to standard out.


%prep
%setup -q
# set CFLAGS set to {optflags}
sed -i "s/CFLAGS = .*/CFLAGS = %{optflags} \${INCS} \${CPPFLAGS}/" config.mk
# remove -s option in LDFLAGS
sed -i "/LDFLAGS/ s/-s//" config.mk
sed -i "s/@\${CC}/\${CC}/" Makefile



%build
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} PREFIX=%{_prefix}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc README LICENSE



%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jun 25 2010 Matthias Runge <mrunge@matthias-runge.de> 0.2-3
- Description does not end with a dot (fixed)
- fix nonverbose compilation
 
* Wed Jun 23 2010 Matthias Runge <mrunge@matthias-runge.de> 0.2-2
- dropped patch to install in {_prefix}
- fixed CFlAGS, LDFLAGS

* Mon Jun 21 2010 Matthias Runge <mrunge@matthias-runge.de> 0.2-1
- initial version
